<?php require_once( 'couch/cms.php' ); ?>

<cms:template clonable='1' order='-10' title='Blog'>
    <cms:editable label='Content' name='content' order='10' type='richtext'/>
</cms:template>

<cms:if k_is_page>
    <cms:set comment_blog_post=k_page_id/>
    <cms:set comment_level_max='4'/>
</cms:if>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8"/>
        <meta content="IE=edge" http-equiv="X-UA-Compatible"/>
        <meta content="width=device-width, initial-scale=1" name="viewport"/>
        <title>Blog<cms:if k_is_page> - <cms:show k_page_title/></cms:if></title>

        <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css" rel="stylesheet"/>
        <style>
        .comment-meta{display:inline-block;line-height:28px;}
        #comments hr{margin-top:15px;margin-bottom:0;}
        </style>

        <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
            <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
    </head>

    <body>
        <div class="container">
            <cms:if k_is_page>
                <h1><a href="<cms:show k_template_link/>">Blog</a> - <cms:show k_page_title/></h1>

                <br/>

                <cms:show content/>

                <hr/>

                <h3>Comment(s)</h3>

                <br/>

                <div id="comments">
                    <cms:reverse_related_pages custom_field='status==1 | parent_comment!=ANY' field='blog_post' masterpage='comments.php' order='asc' orderby='publish_date' show_future_entries='1'>
                        <cms:if k_paginated_top>
                            <cms:set comment_level='0' scope='global'/>
                        </cms:if>

                        <cms:embed 'comment.php'/>

                        <cms:no_results>
                            <p>Be the first to comment using the form below.</p>
                        </cms:no_results>
                    </cms:reverse_related_pages>
                </div>

                <br/>

                <cms:embed 'comment-form.php'/>
            <cms:else/>
                <h1>Blog</h1>

                <cms:pages>
                    <cms:set comment_count="<cms:reverse_related_pages count_only='1' custom_field='status==1' field='blog_post' masterpage='comments.php' show_future_entries='1'/>"/>

                    <br/>

                    <h3><cms:show k_page_title/></h3>
                    <span><cms:show comment_count/> comment<cms:if comment_count != '1'>s</cms:if></span>

                    <br/><br/>

                    <p><cms:excerpt '50'><cms:show content/></cms:excerpt></p>
                    <a href="<cms:show k_page_link/>">Read More</a>
                </cms:pages>
            </cms:if>

            <br/><br/>
        </div>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>

        <!--<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>-->

        <cms:if k_is_page>
            <script>
                var $form        = $("#comment_form"),
                    $page        = $("html, body"),
                    $reply_input = $form.find("#reply"),
                    $reply_btns  = $(".comment-reply");

                function click_reply(e) {
                    var $this = $(this),
                        reply = $this.data("reply");

                    e.preventDefault();

                    $reply_btns.removeClass("btn-primary");

                    if (reply == $reply_input.val()) {
                        $reply_input.val('');
                    } else {
                        $this.addClass("btn-primary");

                        $reply_input.val(reply);
                    }

                    $page.animate({
                        scrollTop: $form.offset().top
                    }, 400);
                }

                $("#comments").on("click", ".comment-reply", click_reply);
            </script>
        </cms:if>
    </body>
</html>

<?php COUCH::invoke(); ?>
