<cms:set get_page_id="<cms:gpc method='get' var='page_id'/>"/>
<cms:set get_status="<cms:gpc method='get' var='status'/>"/>
<cms:set get_pg="<cms:gpc method='get' var='pg'/>"/>

<cms:set get_delete="<cms:gpc method='get' var='delete'/>"/>

<cms:set get_approve="<cms:gpc method='get' var='approve'/>"/>
<cms:set get_unapprove="<cms:gpc method='get' var='unapprove'/>"/>

<cms:set base_link="<cms:add_querystring k_admin_link "act=list&tpl=<cms:show k_template_id/>"/>"/>


<cms:if get_page_id>
    <cms:if "<cms:not "<cms:validate get_page_id validator='non_zero_integer'/>"/>">
        <cms:redirect base_link/>
    </cms:if>

    <cms:pages id=get_page_id limit='1' masterpage='blog.php' skip_custom_fields='1'>
        <cms:set valid_blog_id='1' scope='global'/>

        <cms:set base_link="<cms:add_querystring base_link "page_id=<cms:show get_page_id/>"/>" scope='global'/>

        <cms:set blog_link=k_page_link scope='global'/>
        <cms:set blog_name=k_page_name scope='global'/>
        <cms:set blog_title=k_page_title scope='global'/>

        <cms:no_results>
            <cms:redirect base_link/>
        </cms:no_results>
    </cms:pages>
</cms:if>


<style>
#create_new, #view_template{display:none !important;}
</style>

<ul class="filter">
    <li><a<cms:if get_status == ''> class="current"</cms:if> href="<cms:show base_link/>">All</a>&nbsp;|&nbsp;</li>
    <li><a<cms:if get_status == '0'> class="current"</cms:if> href="<cms:add_querystring base_link 'status=0'/>">Un-approved</a>&nbsp;|&nbsp;</li>
    <li><a<cms:if get_status == '1'> class="current"</cms:if> href="<cms:add_querystring base_link 'status=1'/>">Approved</a></li>

    <cms:if valid_blog_id>
        <li>&nbsp;&nbsp;&nbsp;(of <b><i><cms:show blog_title/></i></b>)</li>
    </cms:if>
</ul>

<div class="clear"></div>


<cms:if get_status != ''>
    <cms:set base_link="<cms:add_querystring base_link "status=<cms:show get_status/>"/>"/>

    <cms:set comments_custom_field="status==<cms:show get_status/>"/>
</cms:if>


<cms:if get_pg && "<cms:validate get_pg validator='non_zero_integer'/>" && get_pg != '1'>
    <cms:set base_link="<cms:add_querystring base_link "pg=<cms:show get_pg/>"/>"/>
</cms:if>


<cms:if get_delete>
    <cms:if "<cms:not "<cms:validate get_delete validator='non_zero_integer'/>"/>">
        <cms:redirect base_link/>
    <cms:else/>
        <cms:validate_nonce "delete_comment_<cms:show get_delete/>"/>

        <cms:pages id=get_delete limit='1' show_future_entries='1' show_unpublished='1' skip_custom_fields='1'>
            <cms:db_delete masterpage=k_template_name page_id=k_page_id/>

            <cms:redirect base_link/>

            <cms:no_results>
                <cms:redirect base_link/>
            </cms:no_results>
        </cms:pages>
    </cms:if>
</cms:if>

<cms:if get_approve>
    <cms:if "<cms:not "<cms:validate get_approve validator='non_zero_integer'/>"/>">
        <cms:redirect base_link/>
    <cms:else/>
        <cms:validate_nonce "approve_comment_<cms:show get_approve/>"/>

        <cms:pages id=get_approve limit='1' show_future_entries='1' show_unpublished='1' skip_custom_fields='1'>
            <cms:db_persist
                _invalidate_cache = '1'
                _masterpage = k_template_name
                _mode = 'edit'
                _page_id = k_page_id

                status = '1'
            />

            <cms:redirect base_link/>

            <cms:no_results>
                <cms:redirect base_link/>
            </cms:no_results>
        </cms:pages>
    </cms:if>
</cms:if>

<cms:if get_unapprove>
    <cms:if "<cms:not "<cms:validate get_unapprove validator='non_zero_integer'/>"/>">
        <cms:redirect base_link/>
    <cms:else/>
        <cms:validate_nonce "unapprove_comment_<cms:show get_unapprove/>"/>

        <cms:pages id=get_unapprove limit='1' show_future_entries='1' show_unpublished='1' skip_custom_fields='1'>
            <cms:db_persist
                _invalidate_cache = '1'
                _masterpage = k_template_name
                _mode = 'edit'
                _page_id = k_page_id

                status = '0'
            />

            <cms:redirect base_link/>

            <cms:no_results>
                <cms:redirect base_link/>
            </cms:no_results>
        </cms:pages>
    </cms:if>
</cms:if>


<cms:if valid_blog_id>
    <cms:if comments_custom_field>
        <cms:set comments_custom_field="<cms:show comments_custom_field/>|"/>
    </cms:if>

    <cms:set comments_custom_field="<cms:show comments_custom_field/>blog_post=id(<cms:show get_page_id/>)"/>
</cms:if>


<cms:set approve_text="<cms:php>echo $FUNCS->t('approve');</cms:php>"/>
<cms:set unapprove_text="<cms:php>echo $FUNCS->t('unapprove');</cms:php>"/>

<cms:set view_text="<cms:php>echo $FUNCS->t('view');</cms:php>"/>
<cms:set edit_text="<cms:php>echo $FUNCS->t('edit');</cms:php>"/>
<cms:set delete_text="<cms:php>echo $FUNCS->t('delete');</cms:php>"/>
<cms:set confirm_delete_text="<cms:php>echo $FUNCS->t('confirm_delete_comment');</cms:php>"/>


<cms:capture 'comments_content'>
    <cms:pages custom_field=comments_custom_field limit='10' paginate='1' show_future_entries='1' show_unpublished='1'>
        <cms:if k_paginated_top>
            <cms:capture 'comments_paginator'>
                <cms:php>
                    global $CTX, $FUNCS;

                    // Paginator assumes front-end template link as base. Make it point to the back-end.
                    $pagination_link = $CTX->get( 'k_page_being_paginated' );
                    $pagination_link = str_replace( $CTX->get('k_template_link'), $CTX->get('k_admin_link'), $pagination_link );
                    $CTX->set( 'k_page_being_paginated', $pagination_link );
                </cms:php>

                <cms:paginator adjacents='2' next_text="<cms:php>echo $FUNCS->t('next');</cms:php> &#187;" position='1' prev_text="&#171; <cms:php>echo $FUNCS->t('prev');</cms:php>"/>

                <div class="record-count"><cms:php>echo$FUNCS->t('showing');</cms:php> <cms:show k_record_from/>-<cms:show k_record_to/> / <cms:show k_total_records/></div>
            </cms:capture>
        </cms:if>

        <cms:set comment_ids="<cms:if comment_ids><cms:show comment_ids/>|</cms:if><cms:show k_page_id/>" scope='global'/>

        <cms:if "<cms:not blog_name/>">
            <cms:set blog_name="<cms:related_pages field='blog_post' show_future_entries='1' show_unpublished='1' skip_custom_fields='1'><cms:show k_page_name/></cms:related_pages>"/>
        </cms:if>

        <cms:if blog_link>
            <cms:set blog_comment_link="<cms:show blog_link/>#comment-<cms:show k_page_id/>"/>
        <cms:else/>
            <cms:set blog_comment_link="<cms:related_pages field='blog_post' show_future_entries='1' show_unpublished='1' skip_custom_fields='1'><cms:show k_page_link/></cms:related_pages>#comment-<cms:show k_page_id/>"/>
        </cms:if>

        <tr class="comment <cms:if status == '1'>approved<cms:else/>unapproved</cms:if>">
            <td class="comment-checkbox">
                <input class="comment-selector" name="comment_id[]" type="checkbox" value="<cms:show k_page_id/>"/>
            </td>

            <td class="comment-author">
                <a name="comment-<cms:show k_page_id/>"><cms:gravatar email=author_email size='32'/></a><br/><b><cms:show author_name/></b>
                <br/>
                <a href="mailto:<cms:show author_email/>"><cms:show author_email/></a>
            </td>

            <td class="comment-body">
                <p class="comment-meta">
                    <span><a href="<cms:show blog_comment_link/>" target="_blank"><cms:show blog_name/></a></span><br/>
                    <span class="comment-date"><cms:if k_page_date == '0000-00-00 00:00:00'><cms:php>echo $FUNCS->t('unpublished');</cms:php><cms:else/><cms:date k_page_date format='M jS Y'/> at <cms:date k_page_date format='h:iA'/></cms:if></span>
                </p>

                <p class="comment-content">
                    <cms:nl2br><cms:show comment/></cms:nl2br>
                </p>

                <p class="comment-actions">
                    <cms:set approve_link="<cms:add_querystring base_link "approve=<cms:show k_page_id/>&nonce=<cms:create_nonce "approve_comment_<cms:show k_page_id/>"/>"/>"/>
                    <cms:set unapprove_link="<cms:add_querystring base_link "unapprove=<cms:show k_page_id/>&nonce=<cms:create_nonce "unapprove_comment_<cms:show k_page_id/>"/>"/>"/>

                    <cms:set action_link="<cms:if status == '1'><cms:show unapprove_link/><cms:else/><cms:show approve_link/></cms:if>"/>
                    <cms:set action_text="<cms:if status == '1'><cms:show unapprove_text/><cms:else/><cms:show approve_text/></cms:if>"/>
                    <cms:set delete_link="<cms:add_querystring base_link "delete=<cms:show k_page_id/>&nonce=<cms:create_nonce "delete_comment_<cms:show k_page_id/>"/>"/>"/>

                    <a href="<cms:show action_link/>" title="<cms:show action_text/>"><cms:show action_text/></a> |

                    <cms:if status == '1'>
                        <a href="<cms:show blog_comment_link/>" target="_blank" title="<cms:show view_text/>"><cms:show view_text/></a> |
                    </cms:if>

                    <a href="<cms:admin_link/>" title="<cms:show edit_text/>"><cms:show edit_text/></a> |

                    <a onclick="return confirm('<cms:show confirm_delete_text/>');" href="<cms:show delete_link/>" title="<cms:show delete_text/>"><cms:show delete_text/></a>
                </p>
            </td>
        </tr>
    </cms:pages>
</cms:capture>


<cms:if comments_content>
    <cms:form action='' anchor='0' id='frm_list_comments' method='post' name='frm_list_comments'>
        <cms:if k_success>
            <cms:validate_nonce 'bulk_action_comment'/>

            <cms:if frm_bulk_action != '-'>
                <cms:pages id=frm_comment_id show_future_entries='1' show_unpublished='1' skip_custom_fields='1'>
                    <cms:if frm_bulk_action == 'delete'>
                        <cms:db_delete masterpage=k_template_name page_id=k_page_id/>
                    <cms:else_if frm_bulk_action == 'approve' || frm_bulk_action == 'unapprove'/>
                        <cms:db_persist
                            _invalidate_cache = '1'
                            _masterpage = k_template_name
                            _mode = 'edit'
                            _page_id = k_page_id

                            status = "<cms:if frm_bulk_action == 'approve'>1<cms:else/>0</cms:if>"
                        />
                    </cms:if>
                </cms:pages>
            </cms:if>

            <cms:redirect base_link/>
        <cms:else_if k_error/>
            <div class="error" style="display:block;margin-bottom:10px;color:red;">
                <cms:each k_error>
                    <cms:show item/><br/>
                </cms:each>
            </div>
        </cms:if>

        <div class="wrap-paginator">
            <div class="bulk-actions">
                <label>
                    <input name="check-all" onClick="$$('.comment-selector').set('checked', this.checked);" type="checkbox"/>
                    <strong><cms:php>echo $FUNCS->t('select-deselect');</cms:php></strong>
                </label>
                &nbsp;
            </div>

            <cms:show comments_paginator/>
        </div>

        <table cellspacing="0" class="comments clear">
            <cms:show comments_content/>
        </table>

        <div class="wrap-paginator">
            <div class="bulk-actions">
                <cms:input
                    id = 'bulk-action'
                    name = 'bulk_action'
                    opt_selected = '-'
                    opt_values = "<cms:php>echo $FUNCS->t('bulk_action') . '=- | ' . $FUNCS->t('delete') . '=delete | ' . $FUNCS->t('approve') . '=approve | ' . $FUNCS->t('unapprove') . '=unapprove';</cms:php>"
                    type = 'dropdown'
                />

                <cms:hide>
                    <cms:input
                        label = "<cms:php>echo $FUNCS->t('comments');</cms:php>"
                        name = 'comment_id'
                        opt_values = comment_ids
                        type = 'checkbox'
                    />
                </cms:hide>

                <a class="button" href="#" id="btn_bulk_submit"><span><cms:php>echo $FUNCS->t('apply');</cms:php></span></a>

                <input id="nonce" name="nonce" type="hidden" value="<cms:create_nonce 'bulk_action_comment'/>"/>
            </div>

            <cms:show comments_paginator/>
        </div>
    </cms:form>

    <script type="text/javascript">
        //<![CDATA[
        window.addEvent('domready', function(){
            if( $('btn_bulk_submit') ){
                $('btn_bulk_submit').addEvent('click', function(e){
                    if($('bulk-action').value!='-'){
                        var col = $$('.comment-selector');
                        for( var x=0; x<col.length; x++ ){
                            if( col[x].checked ){
                                if($('bulk-action').value=='delete'){
                                    if( confirm('<cms:php>echo $FUNCS->t('confirm_delete_selected_comments');</cms:php>') ){
                                        $$('body').setStyle('cursor', 'wait');
                                        $('frm_list_comments').submit();
                                    }
                                }
                                else{
                                    $$('body').setStyle('cursor', 'wait');
                                    $('frm_list_comments').submit();
                                }
                                return false;
                            }
                        }
                    }
                    return false;
                });
            }
        });
        //]]>
    </script>
</cms:if>
